Canvas5Structure::NIBDecoder Struct Reference

a basic NIB decoder More...

## Public Member Functions
| NIBDecoder (unsigned char const *data, unsigned long len)
| constructor
bool | decode (unsigned long expectedLength, std::vector< unsigned char > &output)

## Protected Attributes
unsigned char const * | m_data
unsigned long | m_len
unsigned long | m_pos

## Detailed Description

a basic NIB decoder

## Constructor & Destructor Documentation

## ◆ NIBDecoder()

Canvas5Structure::NIBDecoder::NIBDecoder | ( | unsigned char const * | data,
|  | unsigned long | len )
| inline

constructor

## Member Function Documentation

## ◆ decode()

bool Canvas5Structure::NIBDecoder::decode | ( | unsigned long | expectedLength,
|  | std::vector< unsigned char > & | output )
| inline

Referenced by Canvas5Structure::decodeZone5().

## Member Data Documentation

## ◆ m_data

unsigned char const* Canvas5Structure::NIBDecoder::m_data
| protected

Referenced by decode(), and NIBDecoder().

## ◆ m_len

unsigned long Canvas5Structure::NIBDecoder::m_len
| protected

Referenced by decode(), and NIBDecoder().

## ◆ m_pos

unsigned long Canvas5Structure::NIBDecoder::m_pos
| mutable protected

Referenced by decode(), and NIBDecoder().

The documentation for this struct was generated from the following file:

- Canvas5Structure.cxx